Stops and starts CVM. Use force=true to skip graceful shutdown.
cURL
curl --request POST \ --url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/restart \ --header 'Content-Type: application/json' \ --data '{ "force": false }'
{ "id": 123, "name": "<string>", "status": "<string>", "teepod_id": 123, "app_id": "<string>", "vcpu": 123, "memory": 123, "disk_size": 123, "created_at": "2023-11-07T05:31:56Z", "teepod": { "id": 123, "name": "<string>" }, "user_id": 123, "vm_uuid": "<string>", "instance_id": "<string>", "app_url": "<string>", "base_image": "<string>", "manifest_version": 123, "version": "<string>", "runner": "<string>", "docker_compose_file": "<string>", "features": [ "<string>" ], "encrypted_env_pubkey": "<string>" }
Skip graceful shutdown
CVM record with restarting status
Show child attributes
Was this page helpful?